package com.futu.goose.user.service;

import com.futu.goose.user.domain.WechatUsers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.futu.goose.user.dto.WXAuth;
import com.futu.goose.common.util.Result;

/**
* @author 徐乐
* @description 针对表【wechat_users(微信用户信息表)】的数据库操作Service
* @createDate 2025-05-04 13:48:32
*/
public interface WechatUsersService extends IService<WechatUsers> {

    Result getSessionId(String code);

    Result authLogin(WXAuth wxAuth);
}
